// WinLabel.java
// by Natsha Etcode

/*
RELEASE NOTICE
This software is released into the Public Domain.
There are no restrictions on its use or distribution.

DISCLAIMER
        This software and its documentation are provided "AS IS" and
without any expressed or implied warranties whatsoever.  No warranties
as to performance, merchantability, or fitness for a particular
purpose exist.
        The user is advised to test the software thoroughly before
relying on it.  The user must assume the entire risk and liability of
using this software.  In no event shall any person or organization of
people be held responsible for any direct, indirect, consequential or
inconsequential damages or lost profits.
*/

package winifc.widgets;

import netscape.application.*;
import netscape.util.*;

public class WinLabel extends Label {
    final String SEND_COMMAND   = "sendCommand";

    public WinLabel() {
        super("",WinFont.defaultFont());
        setColor(WinColor.controlText);
    }

    public WinLabel(String title, Font aFont) {
        super(title, aFont);
        setColor(WinColor.controlText);
    }

    public WinLabel(String title) {
        super(title, WinFont.defaultFont());
        setColor(WinColor.controlText);
    }

    public void setCommandKey(int aKey) {
        char aChar;

        super.setCommandKey(aKey);
        removeAllCommandsForKeys();
        setCommandForKey(SEND_COMMAND,null,aKey,KeyEvent.NO_MODIFIERS_MASK,View.WHEN_IN_MAIN_WINDOW);
        aChar = (char)aKey;
        if (Character.isLowerCase(aChar)) {
            setCommandForKey(SEND_COMMAND,null,aKey,KeyEvent.ALT_MASK,View.WHEN_IN_MAIN_WINDOW);
            setCommandForKey(SEND_COMMAND,null,Character.toUpperCase(aChar),KeyEvent.ALT_MASK | KeyEvent.SHIFT_MASK,View.WHEN_IN_MAIN_WINDOW);
        } else if (Character.isUpperCase(aChar)) {
            setCommandForKey(SEND_COMMAND,null,aKey,KeyEvent.ALT_MASK | KeyEvent.SHIFT_MASK,View.WHEN_IN_MAIN_WINDOW);
            setCommandForKey(SEND_COMMAND,null,Character.toLowerCase(aChar),KeyEvent.ALT_MASK,View.WHEN_IN_MAIN_WINDOW);
        } else {
            setCommandForKey(SEND_COMMAND,null,aKey,KeyEvent.ALT_MASK,View.WHEN_IN_MAIN_WINDOW);
        }
    }

    public void decode(Decoder decoder) throws CodingException {
        super.decode(decoder);
        setFont(WinFont.defaultFont());
        setColor(WinColor.controlText);
    }
}

